**Source URL:** https://limited.veevavault.dev/quality/vault-api/api-reference/23.3/sandbox-vaults/refresh-sandbox-from-snapshot.md

# Refresh Sandbox from Snapshot



Refresh a sandbox Vault in the currently authenticated Vault from an existing [snapshot](/vault-api/api-reference/23.3/sandbox-vaults/sandbox-snapshots).

<Endpoint path="/api/{version}/objects/sandbox/{vault_id}/actions/refresh" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
| `Content-Type` | `application/x-www-form-urlencoded` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `vault_id` | The Vault ID of the sandbox to be refreshed. |
</FieldTable>

## Body Parameters {#body-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `source_snapshot` | Provide the `api_name` of the snapshot to refresh the sandbox from. You can obtain the `api_name` using the [Retrieve Sandbox Snapshots](/vault-api/api-reference/23.3/sandbox-vaults/sandbox-snapshots/retrieve-sandbox-snapshots) request. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "source_snapshot=Sandbox1 Snapshot" \
https://myvault.veevavault.com/api/v22.3/objects/sandbox/1001055/actions/refresh

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "job_id": 165954,
    "url": "/api/v22.3/services/jobs/165954"
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, the response includes the following information:



---

**Previous:** [Create or Refresh Sandbox](/quality/vault-api/api-reference/23.3/sandbox-vaults/create-or-refresh-sandbox)  
**Next:** [Delete Sandbox](/quality/vault-api/api-reference/23.3/sandbox-vaults/delete-sandbox)